Name: 		ingo
Version:	1.1.2
Release:	3%{?dist}
Summary:	The Horde web-based Email Filter Rules Manager

Source0:	ftp://ftp.horde.org/pub/%{name}/%{name}-h3-%{version}.tar.gz
Group:		Applications/Internet
License:	Apache Software License v1
URL:		http://www.horde.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	gettext
Requires:	php >= 4.3.0
Requires:	php-pear(Net_Sieve)
Requires:	horde >= 3

%description
Ingo, the "Email Filter Rules Manager", started as a frontend for the Sieve
filter language, and is now a generic and complete filter rule frontend that
currently is able to create Sieve, procmail, and IMAP filter rules. The IMAP
filter driver translates the filter rules on demand to IMAP commands, executed
via PHP's IMAP extension and has replaced IMP's internal filtering code. It is
now the default filtering agent in IMP H3 (4.0).

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with ingo)
please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-h3-%{version}

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/horde/%{name}
# Copy eveything... except config and docs
cp -a * %{buildroot}%{_datadir}/horde/%{name}
rm -rf %{buildroot}%{_datadir}/horde/%{name}/config/
rm -rf %{buildroot}%{_datadir}/horde/%{name}/docs/
rm %{buildroot}%{_datadir}/horde/%{name}/LICENSE
rm %{buildroot}%{_datadir}/horde/%{name}/README*

# Copy locale *.mo files into /usr/share/locale
for lang in %{buildroot}%{_datadir}/horde/%{name}/locale/*; do
	mkdir -p %{buildroot}%{_datadir}/locale/`basename $lang`/LC_MESSAGES
	if [ -f $lang/LC_MESSAGES/*.mo ]; then
		for file in $lang/LC_MESSAGES/*.mo; do
			cp -a $file %{buildroot}%{_datadir}/locale/`basename $lang`/LC_MESSAGES/
		done
	fi
done
%find_lang %{name}

# Put our config files in /etc/horde/ingo and make symlinks
install -m 0770 -d %{buildroot}%{_sysconfdir}/horde/%{name}
cp -a config/* %{buildroot}%{_sysconfdir}/horde/%{name}
ln -fs ../../../..%{_sysconfdir}/horde/%{name} %{buildroot}%{_datadir}/horde/%{name}/config

# Create default config files
pushd %{buildroot}%{_sysconfdir}/horde/%{name}
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

# Fix INGO_BASE in prefs.php
%{__sed} --in-place "s#dirname(__FILE__) . '/..'#'/usr/share/horde/ingo'#" prefs.php

popd

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
# Include top level with %dir so not all files are sucked in
%{_datadir}/horde/%{name}

# Mark documentation files with %doc and %docdir
%doc docs/
%doc LICENSE
%doc README

# Mark configuration files with %config and use secure permissions
# (note that .dist and .xml files are not user-edited and may change each
#	release, so we don't mark noreplace)
%attr(0770,apache,apache) %config %dir %{_sysconfdir}/horde/%{name}
%attr(0640,apache,apache) %config %{_sysconfdir}/horde/%{name}/*.dist
%attr(0660,apache,apache) %config(noreplace) %{_sysconfdir}/horde/%{name}/*.php
%attr(0660,apache,apache) %config %{_sysconfdir}/horde/%{name}/*.xml

%changelog
* Fri Dec 29 2006 Brandon Holbrook <fedora at theholbrooks.org> 1.1.2-3
- Fix INGO_BASE defined in prefs.php

* Fri Dec 29 2006 Brandon Holbrook <fedora at theholbrooks.org> 1.1.2-2
- Changed License tag from GPL to Apache
- Now requires php-pear(Net_Sieve)

* Thu Dec 28 2006 Brandon Holbrook <fedora at theholbrooks.org> 1.1.2-1
- Completely reworked for Fedora
- config files moved to /etc/horde/ingo
- use find_lang to pull in translations

* Tue Nov 14 2006 Johnny Hughes <johnny@centos.org> 1.1.2.c4
- upgraded to upstream version 1.1.2

* Wed Aug 16 2006 Johnny Hughes <johnny@centos.org> 1.1.1.c4
- rolled in upstream update 1.1.1
- changed all config file from config to config(noreplace)
- new upstream file (stripe.js) required adding %%{contentdir}/horde/ingo/js
  to the files section

* Tue Apr 11 2006 Johnny Hughes <johnny@centos.org> 1.1.c4
- Rolled in changes from upstream version 1.1

* Sat Oct 29 2005 Johnny Hughes <johnny@centos.org> 1.0.2-1.centos4
- Initial build for CentOS4
- Changed the html location to be consistent w/CentOS web apps (/usr/share)
